org.jfree.chart.util

## Class XYCoordinateType

- java.lang.Object
- - org.jfree.chart.util.XYCoordinateType

All Implemented Interfaces:
  java.io.Serializable

    public final class XYCoordinateType
    extends java.lang.Object
    implements java.io.Serializable

Represents several possible interpretations for an (x, y) coordinate.

Since:
  1.0.11
See Also:
  Serialized Form

### Field Summary

Fields
`static XYCoordinateType` `DATA` The (x, y) coordinates represent a point in the data space.
`static XYCoordinateType` `INDEX` The (x, y) coordinates represent indices in a dataset.
`static XYCoordinateType` `RELATIVE` The (x, y) coordinates represent a relative position in the data space.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`java.lang.String` `toString()` Returns a string representing the object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DATA

    public static final XYCoordinateType DATA

The (x, y) coordinates represent a point in the data space.

#### RELATIVE

    public static final XYCoordinateType RELATIVE

The (x, y) coordinates represent a relative position in the data space. In this case, the values should be in the range (0.0 to 1.0).

#### INDEX

    public static final XYCoordinateType INDEX

The (x, y) coordinates represent indices in a dataset. In this case, the values should be in the range (0.0 to 1.0).

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string representing the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  The string.

#### equals

    public boolean equals(java.lang.Object obj)

Returns `true` if this object is equal to the specified object, and `false` otherwise.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the other object.
Returns:
  A boolean.